Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log
Interface ErrorAware

All Known Implementing Classes:
  AbstractOutputTarget, AbstractTarget, AsyncLogTarget, FileTarget, RotatingFileTarget, StreamTarget, WriterTarget

    public interface ErrorAware

Interface implemented by components that wish to delegate ErrorHandling to an ErrorHandler.

Author:
  Peter Donald

Method Summary
`void` | `setErrorHandler(ErrorHandler errorHandler)` Provide component with ErrorHandler.

Method Detail

### setErrorHandler

    void setErrorHandler(ErrorHandler errorHandler)

  Provide component with ErrorHandler.

  Parameters:
    `errorHandler` - the errorHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.